diff --git a/android/guava/src/com/google/common/graph/Graphs.java b/android/guava/src/com/google/common/graph/Graphs.java
index bad8580..b8d1c1a 100644
--- a/android/guava/src/com/google/common/graph/Graphs.java
+++ b/android/guava/src/com/google/common/graph/Graphs.java
@@ -18,16 +18,12 @@ package com.google.common.graph;
 
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.graph.GraphConstants.NODE_NOT_IN_GRAPH;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
 import com.google.common.base.Function;
 import com.google.common.base.Objects;
-import com.google.common.collect.ImmutableSet;
 import com.google.common.collect.Iterables;
 import com.google.common.collect.Iterators;
 import com.google.common.collect.Maps;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Collection;
 import java.util.HashSet;
 import java.util.Iterator;
@@ -42,7 +38,6 @@ import javax.annotation.CheckForNull;
  * @author Joshua O'Madadhain
  * @since 20.0
  */
-@Beta
 @ElementTypesAreNonnullByDefault
 public final class Graphs {
 
@@ -589,25 +584,21 @@ public final class Graphs {
     return copy;
   }
 
-  @CanIgnoreReturnValue
   static int checkNonNegative(int value) {
     checkArgument(value >= 0, "Not true that %s is non-negative.", value);
     return value;
   }
 
-  @CanIgnoreReturnValue
   static long checkNonNegative(long value) {
     checkArgument(value >= 0, "Not true that %s is non-negative.", value);
     return value;
   }
 
-  @CanIgnoreReturnValue
   static int checkPositive(int value) {
     checkArgument(value > 0, "Not true that %s is positive.", value);
     return value;
   }
 
-  @CanIgnoreReturnValue
   static long checkPositive(long value) {
     checkArgument(value > 0, "Not true that %s is positive.", value);
     return value;
diff --git a/android/guava/src/com/google/common/graph/ImmutableGraph.java b/android/guava/src/com/google/common/graph/ImmutableGraph.java
index afad211..06bf280 100644
--- a/android/guava/src/com/google/common/graph/ImmutableGraph.java
+++ b/android/guava/src/com/google/common/graph/ImmutableGraph.java
@@ -18,14 +18,10 @@ package com.google.common.graph;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
 import com.google.common.base.Function;
 import com.google.common.base.Functions;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Maps;
 import com.google.common.graph.GraphConstants.Presence;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.Immutable;
 
 /**
  * A {@link Graph} whose elements and structural relationships will never change. Instances of this
@@ -43,8 +39,6 @@ import com.google.errorprone.annotations.Immutable;
  * @param <N> Node parameter type
  * @since 20.0
  */
-@Beta
-@Immutable(containerOf = {"N"})
 @ElementTypesAreNonnullByDefault
 public class ImmutableGraph<N> extends ForwardingGraph<N> {
   @SuppressWarnings("Immutable") // The backing graph must be immutable.
@@ -143,7 +137,6 @@ public class ImmutableGraph<N> extends ForwardingGraph<N> {
      *
      * @return this {@code Builder} object
      */
-    @CanIgnoreReturnValue
     public Builder<N> addNode(N node) {
       mutableGraph.addNode(node);
       return this;
@@ -162,7 +155,6 @@ public class ImmutableGraph<N> extends ForwardingGraph<N> {
      * @throws IllegalArgumentException if the introduction of the edge would violate {@link
      *     #allowsSelfLoops()}
      */
-    @CanIgnoreReturnValue
     public Builder<N> putEdge(N nodeU, N nodeV) {
       mutableGraph.putEdge(nodeU, nodeV);
       return this;
@@ -185,7 +177,6 @@ public class ImmutableGraph<N> extends ForwardingGraph<N> {
      *     #allowsSelfLoops()}
      * @throws IllegalArgumentException if the endpoints are unordered and the graph is directed
      */
-    @CanIgnoreReturnValue
     public Builder<N> putEdge(EndpointPair<N> endpoints) {
       mutableGraph.putEdge(endpoints);
       return this;
diff --git a/android/guava/src/com/google/common/graph/ImmutableNetwork.java b/android/guava/src/com/google/common/graph/ImmutableNetwork.java
index cb636aa..18e2697 100644
--- a/android/guava/src/com/google/common/graph/ImmutableNetwork.java
+++ b/android/guava/src/com/google/common/graph/ImmutableNetwork.java
@@ -18,12 +18,8 @@ package com.google.common.graph;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
 import com.google.common.base.Function;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Maps;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.Immutable;
 import java.util.Map;
 
 /**
@@ -43,8 +39,6 @@ import java.util.Map;
  * @param <E> Edge parameter type
  * @since 20.0
  */
-@Beta
-@Immutable(containerOf = {"N", "E"})
 @SuppressWarnings("Immutable") // Extends StandardNetwork but uses ImmutableMaps.
 @ElementTypesAreNonnullByDefault
 public final class ImmutableNetwork<N, E> extends StandardNetwork<N, E> {
@@ -180,7 +174,6 @@ public final class ImmutableNetwork<N, E> extends StandardNetwork<N, E> {
      *
      * @return this {@code Builder} object
      */
-    @CanIgnoreReturnValue
     public ImmutableNetwork.Builder<N, E> addNode(N node) {
       mutableNetwork.addNode(node);
       return this;
@@ -207,7 +200,6 @@ public final class ImmutableNetwork<N, E> extends StandardNetwork<N, E> {
      * @throws IllegalArgumentException if the introduction of the edge would violate {@link
      *     #allowsParallelEdges()} or {@link #allowsSelfLoops()}
      */
-    @CanIgnoreReturnValue
     public ImmutableNetwork.Builder<N, E> addEdge(N nodeU, N nodeV, E edge) {
       mutableNetwork.addEdge(nodeU, nodeV, edge);
       return this;
@@ -238,7 +230,6 @@ public final class ImmutableNetwork<N, E> extends StandardNetwork<N, E> {
      *     #allowsParallelEdges()} or {@link #allowsSelfLoops()}
      * @throws IllegalArgumentException if the endpoints are unordered and the network is directed
      */
-    @CanIgnoreReturnValue
     public ImmutableNetwork.Builder<N, E> addEdge(EndpointPair<N> endpoints, E edge) {
       mutableNetwork.addEdge(endpoints, edge);
       return this;
diff --git a/android/guava/src/com/google/common/graph/ImmutableValueGraph.java b/android/guava/src/com/google/common/graph/ImmutableValueGraph.java
index a1567da..a95d760 100644
--- a/android/guava/src/com/google/common/graph/ImmutableValueGraph.java
+++ b/android/guava/src/com/google/common/graph/ImmutableValueGraph.java
@@ -17,14 +17,9 @@
 package com.google.common.graph;
 
 import static com.google.common.base.Preconditions.checkNotNull;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
 import com.google.common.base.Function;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Maps;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.Immutable;
 
 /**
  * A {@link ValueGraph} whose elements and structural relationships will never change. Instances of
@@ -41,8 +36,6 @@ import com.google.errorprone.annotations.Immutable;
  * @param <V> Value parameter type
  * @since 20.0
  */
-@Beta
-@Immutable(containerOf = {"N", "V"})
 @SuppressWarnings("Immutable") // Extends StandardValueGraph but uses ImmutableMaps.
 @ElementTypesAreNonnullByDefault
 public final class ImmutableValueGraph<N, V> extends StandardValueGraph<N, V> {
@@ -146,7 +139,6 @@ public final class ImmutableValueGraph<N, V> extends StandardValueGraph<N, V> {
      *
      * @return this {@code Builder} object
      */
-    @CanIgnoreReturnValue
     public ImmutableValueGraph.Builder<N, V> addNode(N node) {
       mutableValueGraph.addNode(node);
       return this;
@@ -168,7 +160,6 @@ public final class ImmutableValueGraph<N, V> extends StandardValueGraph<N, V> {
      * @throws IllegalArgumentException if the introduction of the edge would violate {@link
      *     #allowsSelfLoops()}
      */
-    @CanIgnoreReturnValue
     public ImmutableValueGraph.Builder<N, V> putEdgeValue(N nodeU, N nodeV, V value) {
       mutableValueGraph.putEdgeValue(nodeU, nodeV, value);
       return this;
@@ -193,7 +184,6 @@ public final class ImmutableValueGraph<N, V> extends StandardValueGraph<N, V> {
      *     #allowsSelfLoops()}
      * @throws IllegalArgumentException if the endpoints are unordered and the graph is directed
      */
-    @CanIgnoreReturnValue
     public ImmutableValueGraph.Builder<N, V> putEdgeValue(EndpointPair<N> endpoints, V value) {
       mutableValueGraph.putEdgeValue(endpoints, value);
       return this;
diff --git a/android/guava/src/com/google/common/graph/MapIteratorCache.java b/android/guava/src/com/google/common/graph/MapIteratorCache.java
index aae9187..8681876 100644
--- a/android/guava/src/com/google/common/graph/MapIteratorCache.java
+++ b/android/guava/src/com/google/common/graph/MapIteratorCache.java
@@ -19,7 +19,6 @@ package com.google.common.graph;
 import static com.google.common.base.Preconditions.checkNotNull;
 
 import com.google.common.collect.UnmodifiableIterator;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.AbstractSet;
 import java.util.Iterator;
 import java.util.Map;
@@ -60,7 +59,6 @@ class MapIteratorCache<K, V> {
     this.backingMap = checkNotNull(backingMap);
   }
 
-  @CanIgnoreReturnValue
   @CheckForNull
   final V put(K key, V value) {
     checkNotNull(key);
@@ -69,7 +67,6 @@ class MapIteratorCache<K, V> {
     return backingMap.put(key, value);
   }
 
-  @CanIgnoreReturnValue
   @CheckForNull
   final V remove(Object key) {
     checkNotNull(key);
diff --git a/android/guava/src/com/google/common/graph/MutableGraph.java b/android/guava/src/com/google/common/graph/MutableGraph.java
index b1f3359..d0a5454 100644
--- a/android/guava/src/com/google/common/graph/MutableGraph.java
+++ b/android/guava/src/com/google/common/graph/MutableGraph.java
@@ -16,8 +16,6 @@
 
 package com.google.common.graph;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 
 /**
  * A subinterface of {@link Graph} which adds mutation methods. When mutation is not required, users
@@ -28,7 +26,6 @@ import com.google.errorprone.annotations.CanIgnoreReturnValue;
  * @param <N> Node parameter type
  * @since 20.0
  */
-@Beta
 @ElementTypesAreNonnullByDefault
 public interface MutableGraph<N> extends Graph<N> {
 
@@ -39,7 +36,6 @@ public interface MutableGraph<N> extends Graph<N> {
    *
    * @return {@code true} if the graph was modified as a result of this call
    */
-  @CanIgnoreReturnValue
   boolean addNode(N node);
 
   /**
@@ -55,7 +51,6 @@ public interface MutableGraph<N> extends Graph<N> {
    * @throws IllegalArgumentException if the introduction of the edge would violate {@link
    *     #allowsSelfLoops()}
    */
-  @CanIgnoreReturnValue
   boolean putEdge(N nodeU, N nodeV);
 
   /**
@@ -76,7 +71,6 @@ public interface MutableGraph<N> extends Graph<N> {
    * @throws IllegalArgumentException if the endpoints are unordered and the graph is directed
    * @since 27.1
    */
-  @CanIgnoreReturnValue
   boolean putEdge(EndpointPair<N> endpoints);
 
   /**
@@ -84,7 +78,6 @@ public interface MutableGraph<N> extends Graph<N> {
    *
    * @return {@code true} if the graph was modified as a result of this call
    */
-  @CanIgnoreReturnValue
   boolean removeNode(N node);
 
   /**
@@ -92,7 +85,6 @@ public interface MutableGraph<N> extends Graph<N> {
    *
    * @return {@code true} if the graph was modified as a result of this call
    */
-  @CanIgnoreReturnValue
   boolean removeEdge(N nodeU, N nodeV);
 
   /**
@@ -104,6 +96,5 @@ public interface MutableGraph<N> extends Graph<N> {
    * @return {@code true} if the graph was modified as a result of this call
    * @since 27.1
    */
-  @CanIgnoreReturnValue
   boolean removeEdge(EndpointPair<N> endpoints);
 }
diff --git a/android/guava/src/com/google/common/graph/MutableNetwork.java b/android/guava/src/com/google/common/graph/MutableNetwork.java
index 64acb13..4c31c20 100644
--- a/android/guava/src/com/google/common/graph/MutableNetwork.java
+++ b/android/guava/src/com/google/common/graph/MutableNetwork.java
@@ -16,8 +16,6 @@
 
 package com.google.common.graph;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 
 /**
  * A subinterface of {@link Network} which adds mutation methods. When mutation is not required,
@@ -29,7 +27,6 @@ import com.google.errorprone.annotations.CanIgnoreReturnValue;
  * @param <E> Edge parameter type
  * @since 20.0
  */
-@Beta
 @ElementTypesAreNonnullByDefault
 public interface MutableNetwork<N, E> extends Network<N, E> {
 
@@ -40,7 +37,6 @@ public interface MutableNetwork<N, E> extends Network<N, E> {
    *
    * @return {@code true} if the network was modified as a result of this call
    */
-  @CanIgnoreReturnValue
   boolean addNode(N node);
 
   /**
@@ -64,7 +60,6 @@ public interface MutableNetwork<N, E> extends Network<N, E> {
    * @throws IllegalArgumentException if the introduction of the edge would violate {@link
    *     #allowsParallelEdges()} or {@link #allowsSelfLoops()}
    */
-  @CanIgnoreReturnValue
   boolean addEdge(N nodeU, N nodeV, E edge);
 
   /**
@@ -93,7 +88,6 @@ public interface MutableNetwork<N, E> extends Network<N, E> {
    * @throws IllegalArgumentException if the endpoints are unordered and the graph is directed
    * @since 27.1
    */
-  @CanIgnoreReturnValue
   boolean addEdge(EndpointPair<N> endpoints, E edge);
 
   /**
@@ -101,7 +95,6 @@ public interface MutableNetwork<N, E> extends Network<N, E> {
    *
    * @return {@code true} if the network was modified as a result of this call
    */
-  @CanIgnoreReturnValue
   boolean removeNode(N node);
 
   /**
@@ -109,6 +102,5 @@ public interface MutableNetwork<N, E> extends Network<N, E> {
    *
    * @return {@code true} if the network was modified as a result of this call
    */
-  @CanIgnoreReturnValue
   boolean removeEdge(E edge);
 }
diff --git a/android/guava/src/com/google/common/graph/MutableValueGraph.java b/android/guava/src/com/google/common/graph/MutableValueGraph.java
index f32d2ee..32f01ff 100644
--- a/android/guava/src/com/google/common/graph/MutableValueGraph.java
+++ b/android/guava/src/com/google/common/graph/MutableValueGraph.java
@@ -16,8 +16,6 @@
 
 package com.google.common.graph;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import javax.annotation.CheckForNull;
 
 /**
@@ -29,7 +27,6 @@ import javax.annotation.CheckForNull;
  * @param <V> Value parameter type
  * @since 20.0
  */
-@Beta
 @ElementTypesAreNonnullByDefault
 public interface MutableValueGraph<N, V> extends ValueGraph<N, V> {
 
@@ -40,7 +37,6 @@ public interface MutableValueGraph<N, V> extends ValueGraph<N, V> {
    *
    * @return {@code true} if the graph was modified as a result of this call
    */
-  @CanIgnoreReturnValue
   boolean addNode(N node);
 
   /**
@@ -60,7 +56,6 @@ public interface MutableValueGraph<N, V> extends ValueGraph<N, V> {
    * @throws IllegalArgumentException if the introduction of the edge would violate {@link
    *     #allowsSelfLoops()}
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   V putEdgeValue(N nodeU, N nodeV, V value);
 
@@ -85,7 +80,6 @@ public interface MutableValueGraph<N, V> extends ValueGraph<N, V> {
    * @throws IllegalArgumentException if the endpoints are unordered and the graph is directed
    * @since 27.1
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   V putEdgeValue(EndpointPair<N> endpoints, V value);
 
@@ -94,7 +88,6 @@ public interface MutableValueGraph<N, V> extends ValueGraph<N, V> {
    *
    * @return {@code true} if the graph was modified as a result of this call
    */
-  @CanIgnoreReturnValue
   boolean removeNode(N node);
 
   /**
@@ -103,7 +96,6 @@ public interface MutableValueGraph<N, V> extends ValueGraph<N, V> {
    * @return the value previously associated with the edge connecting {@code nodeU} to {@code
    *     nodeV}, or null if there was no such edge.
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   V removeEdge(N nodeU, N nodeV);
 
@@ -116,7 +108,6 @@ public interface MutableValueGraph<N, V> extends ValueGraph<N, V> {
    *     there was no such edge.
    * @since 27.1
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   V removeEdge(EndpointPair<N> endpoints);
 }
diff --git a/android/guava/src/com/google/common/graph/Network.java b/android/guava/src/com/google/common/graph/Network.java
index 70e39cd..98b94af 100644
--- a/android/guava/src/com/google/common/graph/Network.java
+++ b/android/guava/src/com/google/common/graph/Network.java
@@ -16,8 +16,6 @@
 
 package com.google.common.graph;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.DoNotMock;
 import java.util.Set;
 import javax.annotation.CheckForNull;
 
@@ -101,8 +99,6 @@ import javax.annotation.CheckForNull;
  * @param <E> Edge parameter type
  * @since 20.0
  */
-@Beta
-@DoNotMock("Use NetworkBuilder to create a real instance")
 @ElementTypesAreNonnullByDefault
 public interface Network<N, E> extends SuccessorsFunction<N>, PredecessorsFunction<N> {
   //
diff --git a/android/guava/src/com/google/common/graph/NetworkBuilder.java b/android/guava/src/com/google/common/graph/NetworkBuilder.java
index 9689444..2962c55 100644
--- a/android/guava/src/com/google/common/graph/NetworkBuilder.java
+++ b/android/guava/src/com/google/common/graph/NetworkBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.graph;
 import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.graph.Graphs.checkNonNegative;
 
-import com.google.common.annotations.Beta;
 import com.google.common.base.Optional;
 
 /**
@@ -66,7 +65,6 @@ import com.google.common.base.Optional;
  *     constructed based on an existing {@code Network} using {@link #from(Network)}.
  * @since 20.0
  */
-@Beta
 @ElementTypesAreNonnullByDefault
 public final class NetworkBuilder<N, E> extends AbstractGraphBuilder<N> {
   boolean allowsParallelEdges = false;
diff --git a/android/guava/src/com/google/common/graph/NetworkConnections.java b/android/guava/src/com/google/common/graph/NetworkConnections.java
index 94d1780..2d2833f 100644
--- a/android/guava/src/com/google/common/graph/NetworkConnections.java
+++ b/android/guava/src/com/google/common/graph/NetworkConnections.java
@@ -16,7 +16,6 @@
 
 package com.google.common.graph;
 
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import java.util.Set;
 import javax.annotation.CheckForNull;
 
@@ -61,12 +60,10 @@ interface NetworkConnections<N, E> {
    *
    * <p>In the undirected case, returns {@code null} if {@code isSelfLoop} is true.
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   N removeInEdge(E edge, boolean isSelfLoop);
 
   /** Remove {@code edge} from the set of outgoing edges. Returns the former successor node. */
-  @CanIgnoreReturnValue
   N removeOutEdge(E edge);
 
   /**
diff --git a/android/guava/src/com/google/common/graph/ParametricNullness.java b/android/guava/src/com/google/common/graph/ParametricNullness.java
index 62534eb..3cb5a25 100644
--- a/android/guava/src/com/google/common/graph/ParametricNullness.java
+++ b/android/guava/src/com/google/common/graph/ParametricNullness.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 import static javax.annotation.meta.When.UNKNOWN;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -35,7 +34,6 @@ import javax.annotation.meta.TypeQualifierNickname;
  * href="https://android.googlesource.com/platform/libcore/+/master/luni/src/main/java/libcore/util/NullFromTypeParam.java">{@code
  * NullFromTypeParam}</a>). We use this to "undo" {@link ElementTypesAreNonnullByDefault}.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target({FIELD, METHOD, PARAMETER})
 @TypeQualifierNickname
diff --git a/android/guava/src/com/google/common/graph/PredecessorsFunction.java b/android/guava/src/com/google/common/graph/PredecessorsFunction.java
index 750a8ac..52a1036 100644
--- a/android/guava/src/com/google/common/graph/PredecessorsFunction.java
+++ b/android/guava/src/com/google/common/graph/PredecessorsFunction.java
@@ -16,8 +16,6 @@
 
 package com.google.common.graph;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.DoNotMock;
 
 /**
  * A functional interface for <a
@@ -78,8 +76,6 @@ import com.google.errorprone.annotations.DoNotMock;
  * @param <N> Node parameter type
  * @since 23.0
  */
-@Beta
-@DoNotMock("Implement with a lambda, or use GraphBuilder to build a Graph with the desired edges")
 @ElementTypesAreNonnullByDefault
 public interface PredecessorsFunction<N> {
 
diff --git a/android/guava/src/com/google/common/graph/StandardMutableNetwork.java b/android/guava/src/com/google/common/graph/StandardMutableNetwork.java
index c58b6d3..40222e3 100644
--- a/android/guava/src/com/google/common/graph/StandardMutableNetwork.java
+++ b/android/guava/src/com/google/common/graph/StandardMutableNetwork.java
@@ -22,10 +22,7 @@ import static com.google.common.base.Preconditions.checkState;
 import static com.google.common.graph.GraphConstants.PARALLEL_EDGES_NOT_ALLOWED;
 import static com.google.common.graph.GraphConstants.REUSING_EDGE;
 import static com.google.common.graph.GraphConstants.SELF_LOOPS_NOT_ALLOWED;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.collect.ImmutableList;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 
 /**
  * Standard implementation of {@link MutableNetwork} that supports both directed and undirected
@@ -50,7 +47,6 @@ final class StandardMutableNetwork<N, E> extends StandardNetwork<N, E>
   }
 
   @Override
-  @CanIgnoreReturnValue
   public boolean addNode(N node) {
     checkNotNull(node, "node");
 
@@ -67,7 +63,6 @@ final class StandardMutableNetwork<N, E> extends StandardNetwork<N, E>
    *
    * @throws IllegalStateException if {@code node} is already present
    */
-  @CanIgnoreReturnValue
   private NetworkConnections<N, E> addNodeInternal(N node) {
     NetworkConnections<N, E> connections = newConnections();
     checkState(nodeConnections.put(node, connections) == null);
@@ -75,7 +70,6 @@ final class StandardMutableNetwork<N, E> extends StandardNetwork<N, E>
   }
 
   @Override
-  @CanIgnoreReturnValue
   public boolean addEdge(N nodeU, N nodeV, E edge) {
     checkNotNull(nodeU, "nodeU");
     checkNotNull(nodeV, "nodeV");
@@ -119,14 +113,12 @@ final class StandardMutableNetwork<N, E> extends StandardNetwork<N, E>
   }
 
   @Override
-  @CanIgnoreReturnValue
   public boolean addEdge(EndpointPair<N> endpoints, E edge) {
     validateEndpoints(endpoints);
     return addEdge(endpoints.nodeU(), endpoints.nodeV(), edge);
   }
 
   @Override
-  @CanIgnoreReturnValue
   public boolean removeNode(N node) {
     checkNotNull(node, "node");
 
@@ -145,7 +137,6 @@ final class StandardMutableNetwork<N, E> extends StandardNetwork<N, E>
   }
 
   @Override
-  @CanIgnoreReturnValue
   public boolean removeEdge(E edge) {
     checkNotNull(edge, "edge");
 
diff --git a/android/guava/src/com/google/common/graph/StandardMutableValueGraph.java b/android/guava/src/com/google/common/graph/StandardMutableValueGraph.java
index 0ea641a..464a59f 100644
--- a/android/guava/src/com/google/common/graph/StandardMutableValueGraph.java
+++ b/android/guava/src/com/google/common/graph/StandardMutableValueGraph.java
@@ -22,9 +22,7 @@ import static com.google.common.base.Preconditions.checkState;
 import static com.google.common.graph.GraphConstants.SELF_LOOPS_NOT_ALLOWED;
 import static com.google.common.graph.Graphs.checkNonNegative;
 import static com.google.common.graph.Graphs.checkPositive;
-import static java.util.Objects.requireNonNull;
 
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import javax.annotation.CheckForNull;
 
 /**
@@ -58,7 +56,6 @@ final class StandardMutableValueGraph<N, V> extends StandardValueGraph<N, V>
   }
 
   @Override
-  @CanIgnoreReturnValue
   public boolean addNode(N node) {
     checkNotNull(node, "node");
 
@@ -75,7 +72,6 @@ final class StandardMutableValueGraph<N, V> extends StandardValueGraph<N, V>
    *
    * @throws IllegalStateException if {@code node} is already present
    */
-  @CanIgnoreReturnValue
   private GraphConnections<N, V> addNodeInternal(N node) {
     GraphConnections<N, V> connections = newConnections();
     checkState(nodeConnections.put(node, connections) == null);
@@ -83,7 +79,6 @@ final class StandardMutableValueGraph<N, V> extends StandardValueGraph<N, V>
   }
 
   @Override
-  @CanIgnoreReturnValue
   @CheckForNull
   public V putEdgeValue(N nodeU, N nodeV, V value) {
     checkNotNull(nodeU, "nodeU");
@@ -111,7 +106,6 @@ final class StandardMutableValueGraph<N, V> extends StandardValueGraph<N, V>
   }
 
   @Override
-  @CanIgnoreReturnValue
   @CheckForNull
   public V putEdgeValue(EndpointPair<N> endpoints, V value) {
     validateEndpoints(endpoints);
@@ -119,7 +113,6 @@ final class StandardMutableValueGraph<N, V> extends StandardValueGraph<N, V>
   }
 
   @Override
-  @CanIgnoreReturnValue
   public boolean removeNode(N node) {
     checkNotNull(node, "node");
 
@@ -156,7 +149,6 @@ final class StandardMutableValueGraph<N, V> extends StandardValueGraph<N, V>
   }
 
   @Override
-  @CanIgnoreReturnValue
   @CheckForNull
   public V removeEdge(N nodeU, N nodeV) {
     checkNotNull(nodeU, "nodeU");
@@ -177,7 +169,6 @@ final class StandardMutableValueGraph<N, V> extends StandardValueGraph<N, V>
   }
 
   @Override
-  @CanIgnoreReturnValue
   @CheckForNull
   public V removeEdge(EndpointPair<N> endpoints) {
     validateEndpoints(endpoints);
diff --git a/android/guava/src/com/google/common/graph/StandardNetwork.java b/android/guava/src/com/google/common/graph/StandardNetwork.java
index 2aa103f..9be4e54 100644
--- a/android/guava/src/com/google/common/graph/StandardNetwork.java
+++ b/android/guava/src/com/google/common/graph/StandardNetwork.java
@@ -22,9 +22,7 @@ import static com.google.common.graph.GraphConstants.DEFAULT_EDGE_COUNT;
 import static com.google.common.graph.GraphConstants.DEFAULT_NODE_COUNT;
 import static com.google.common.graph.GraphConstants.EDGE_NOT_IN_GRAPH;
 import static com.google.common.graph.GraphConstants.NODE_NOT_IN_GRAPH;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.collect.ImmutableSet;
 import java.util.Map;
 import java.util.Set;
 import java.util.TreeMap;
diff --git a/android/guava/src/com/google/common/graph/SuccessorsFunction.java b/android/guava/src/com/google/common/graph/SuccessorsFunction.java
index c29bb4b..2725649 100644
--- a/android/guava/src/com/google/common/graph/SuccessorsFunction.java
+++ b/android/guava/src/com/google/common/graph/SuccessorsFunction.java
@@ -16,8 +16,6 @@
 
 package com.google.common.graph;
 
-import com.google.common.annotations.Beta;
-import com.google.errorprone.annotations.DoNotMock;
 
 /**
  * A functional interface for <a
@@ -78,8 +76,6 @@ import com.google.errorprone.annotations.DoNotMock;
  * @param <N> Node parameter type
  * @since 23.0
  */
-@Beta
-@DoNotMock("Implement with a lambda, or use GraphBuilder to build a Graph with the desired edges")
 @ElementTypesAreNonnullByDefault
 public interface SuccessorsFunction<N> {
 
diff --git a/android/guava/src/com/google/common/graph/Traverser.java b/android/guava/src/com/google/common/graph/Traverser.java
index 5a36f9f..45caf66 100644
--- a/android/guava/src/com/google/common/graph/Traverser.java
+++ b/android/guava/src/com/google/common/graph/Traverser.java
@@ -18,12 +18,8 @@ package com.google.common.graph;
 
 import static com.google.common.base.Preconditions.checkArgument;
 import static com.google.common.base.Preconditions.checkNotNull;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
 import com.google.common.collect.AbstractIterator;
-import com.google.common.collect.ImmutableSet;
-import com.google.errorprone.annotations.DoNotMock;
 import java.util.ArrayDeque;
 import java.util.Deque;
 import java.util.HashSet;
@@ -60,10 +56,6 @@ import javax.annotation.CheckForNull;
  * @param <N> Node parameter type
  * @since 23.1
  */
-@Beta
-@DoNotMock(
-    "Call forGraph or forTree, passing a lambda or a Graph with the desired edges (built with"
-        + " GraphBuilder)")
 @ElementTypesAreNonnullByDefault
 public abstract class Traverser<N> {
   private final SuccessorsFunction<N> successorFunction;
diff --git a/android/guava/src/com/google/common/graph/UndirectedGraphConnections.java b/android/guava/src/com/google/common/graph/UndirectedGraphConnections.java
index 085e3a7..ed50c6a 100644
--- a/android/guava/src/com/google/common/graph/UndirectedGraphConnections.java
+++ b/android/guava/src/com/google/common/graph/UndirectedGraphConnections.java
@@ -21,7 +21,6 @@ import static com.google.common.graph.GraphConstants.INNER_CAPACITY;
 import static com.google.common.graph.GraphConstants.INNER_LOAD_FACTOR;
 
 import com.google.common.base.Function;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Iterators;
 import java.util.Collections;
 import java.util.HashMap;
diff --git a/android/guava/src/com/google/common/graph/UndirectedMultiNetworkConnections.java b/android/guava/src/com/google/common/graph/UndirectedMultiNetworkConnections.java
index a5c45ca..f92a354 100644
--- a/android/guava/src/com/google/common/graph/UndirectedMultiNetworkConnections.java
+++ b/android/guava/src/com/google/common/graph/UndirectedMultiNetworkConnections.java
@@ -21,9 +21,7 @@ import static com.google.common.graph.GraphConstants.INNER_CAPACITY;
 import static com.google.common.graph.GraphConstants.INNER_LOAD_FACTOR;
 
 import com.google.common.collect.HashMultiset;
-import com.google.common.collect.ImmutableMap;
 import com.google.common.collect.Multiset;
-import com.google.errorprone.annotations.concurrent.LazyInit;
 import java.lang.ref.Reference;
 import java.lang.ref.SoftReference;
 import java.util.Collections;
@@ -56,7 +54,7 @@ final class UndirectedMultiNetworkConnections<N, E>
     return new UndirectedMultiNetworkConnections<>(ImmutableMap.copyOf(incidentEdges));
   }
 
-  @CheckForNull @LazyInit private transient Reference<Multiset<N>> adjacentNodesReference;
+  @CheckForNull private transient Reference<Multiset<N>> adjacentNodesReference;
 
   @Override
   public Set<N> adjacentNodes() {
diff --git a/android/guava/src/com/google/common/graph/UndirectedNetworkConnections.java b/android/guava/src/com/google/common/graph/UndirectedNetworkConnections.java
index 38cb763..293d559 100644
--- a/android/guava/src/com/google/common/graph/UndirectedNetworkConnections.java
+++ b/android/guava/src/com/google/common/graph/UndirectedNetworkConnections.java
@@ -20,7 +20,6 @@ import static com.google.common.graph.GraphConstants.EXPECTED_DEGREE;
 
 import com.google.common.collect.BiMap;
 import com.google.common.collect.HashBiMap;
-import com.google.common.collect.ImmutableBiMap;
 import java.util.Collections;
 import java.util.Map;
 import java.util.Set;
